LLVM-OBJDUMP(1)

NAME
llvm-objdump - LLVM object file dumper

SYNOPSIS
llvm-objdump [options] objfile ...

DESCRIPTION
llvm-objdump prints the contents of object files and final linked images named on the command line. If no file name is specified, llvm-objdump will attempt to read from a.out. If - is used as a file name, llvm-objdump will process a file on its standard input stream. llvm-objdump accepts many of the same command line arguments as GNU objdump.

OPTIONS

  General Options

--aarch64-neon-syntax=value
    Choose style of NEON code to emit from AArch64 backend. value may be one of:

    generic
        Generic NEON assembly

    apple
        Apple-style NEON assembly

--arch=value
    Choose architecture(s) from a Mach-O file to dump

--arch-name=ar arch
    Target arch to disassemble for. See --version for available targets.

--bind
    Display mach-o binding info.

--color
    Use colored syntax highlighting. Default autodetect.

--disassemble
    Display assembler mnemonics for machine instructions.

--disassemble-all
    Display assembler mnemonics for the machine instruction in all sections.

--dsym=file
    Use file for debug info.

--dwarf=sections
    Dump of dwarf debug sections.

    frames
        .debug_frame

--exports-trie
    Display mach-o exported symbols.

--fault-map-section
    Display contents of faultmap section.

--filter-print-funcs=functions
    Only print IR for functions whose name match functions for all print-[before|after][-all] options.

--full-leading-addr
    Print full leading address.

-g  Print line information from debug info if available.

-h, --headers, --section-headers
    Display summaries of the headers for each section.

--help
    Display available options. Use --help-hidden for more.

--lazy-bind
    Display mach-o lazy binding info.

--line-numbers
    Display source line numbers with disassembly. Implies disassemble object.

--macho
    Use MachO specific object file parser.

--mattr=attribute ...
    Target specific attributes.

--mcpu=CPU
    Target a specific cpu type. Use -mcpu=help for details.

--no-leading-addr
    Print no leading address.

--no-leading-headers
    Print no leading headers.

--no-show-raw-insn
    When disassembling instructions, do not print the instruction bytes.

--prefix=PREFIX
    When disassembling, add PREFIX to absolute paths.

--prefix-strip=LEVEL
    When disassembling, strip out LEVEL initial directories from absolute paths. This option has no effect without --prefix=PREFIX.

--print-imm-hex
    Use hex format for immediate values.

--private-header
    Display only the first format specific file header.

--private-headers
    Display format specific file headers.

-r  Display the relocation entries in the file.

--raw-clang-ast
    Dump the raw binary contents of the clang AST section.

--rebase
    Display mach-o rebasing info.

--reverse-iterate
    Reverse iterate.

-s  Display the content of each section.

--section=section
    Operate on the specified sections only. With --macho dump segment,section.

--source
    Display source inline with disassembly. Implies disassmble object.

--start-address=address
    Disassemble beginning at address.

--stop-address=address
    Stop disassembly at address.

-t  Display the symbol table.

--triple=triple
    Target triple to disassemble for. See --version for available targets.

--unwind-info
    Display unwind information.

--version
    Display the version of this program.

--weak-bind
    Display mach-o weak binding info.

--x86-asm-syntax=syntax
    Choose style of code to emit from X86 backend.

    att Emit AT&T-style assembly.

    intel
        Emit Intel-style assembly.

  Mach-O Options
There are a number of options specific to the Mach-O format. These are used in combination with the --macho option.

--archive-headers
    Print archive headers for Mach-O archives.

--archive-member-offsets
    Print the offset to each archive member for Mach-O archives. Requires --macho and --archive-headers.

--data-in-code
    Print the data in code table for Mach-O objects.

--dis-symname=symbol
    Disassemble just symbol 's instructions.

--dylib-id
    Print the shared library's id for the dylib Mach-O file.

--dylibs-used
    Print the shared libraries used for linked Mach-O files.

--indirect-symbols
    Print indirect symbol table for Mach-O objects.

--info-plist
    Print the info plist section as strings for Mach-O objects.

--link-opt-hints
    Print the linker optimization hints for Mach-O objects.

--no-symbolic-operands
    do not symbolic operands when disassembling.

--non-verbose
    Print the info for Mach-O objects in non-verbose or numeric form.

--objc-meta-data
    Print the Objective-C runtime meta data for Mach-O files.

--universal-headers
    Print Mach-O universal headers.